Subject: Partition files

From: Stephen Crocker <[email-masked]>
Date: Sun, 16 Nov 1997 20:07:41 +0100

Where can I find a program to produce Linux partition files? (Assuming such a
thing exists, and as files are supported, it seems likely!)

-- 
 x^      ( )      _________         //     Email:  mailto:[email-masked]
<       U O      |_|_|_|_|_|    O  ||       WWW:   http://www.crok.demon.co.uk
 \,     |/|\      _________       [  ]             Piloting Megara Ship #2
     .  |/^\  .       2       .   /__\
... Tiger! Tiger! Burning bright. Who has set your tail alight?

---

From: Philip Blundell <[email-masked]>
Date: Sun, 16 Nov 1997 23:34:11 +0000

>thing exists, and as files are supported, it seems likely!)

I don't think you need to do anything special to create them - just make a 
file of whatever size, and away you go.

p.

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Sun, 16 Nov 1997 23:34:42 +0000 (GMT)

> thing exists, and as files are supported, it seems likely!)

The old bootable PC Emulator-like partition files for Linux are no longer
supported since the 1.3.45 kernels due to incompatabilities in the way Linux
block device drivers now operate.

However, you can mount a PC Emulator DOS partition using the loopback device,
and a program called losetup.  Note however, that this will only work for
non-root partitions.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King        [email-masked]        --- ---
  | | | |    http://www.arm.uk.linux.org/~rmk/home.html      /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: Stephen Crocker <[email-masked]>
Date: Mon, 17 Nov 1997 21:21:31 +0100

> and a program called losetup.  Note however, that this will only work for

Uh oh!  Looks like RiscBSD after all!

-- 
 x^      ( )      _________         //     Email:  mailto:[email-masked]
<       U O      |_|_|_|_|_|    O  ||       WWW:   http://www.crok.demon.co.uk
 \,     |/|\      _________       [  ]             Piloting Megara Ship #2
     .  |/^\  .       2       .   /__\
... If at first you don't succeed, destroy all evidence that you tried.

---

From: Stephen Crocker <[email-masked]>
Date: Tue, 18 Nov 1997 19:21:05 +0100

In message <[email-masked]> you wrote:

> Stephen Crocker wrote:
> Although you can also mount PC partitions under 'BSD, it doesn't support
> partition files either; to do so given the block driver interface will
> be highly inefficient and technically complex. Someone has done a trial
> implementation, but the performance was so degraded that it really
> didn't seem worth bothering with. That said, you can do the
> opposite---access the BSD discs as a fully mounted filesystem under
> RiscOS.
> 
> If you've got and use ARMLinux already, I'd stick with it.

That's just IT! I can't install ARMLinux because I have a Cumana SCSI2.
However, I have managed to get RiscBSD to work with the card, so I'll just have
to do a permanent install with it.

-- 
 x^      ( )      _________         //     Email:  mailto:[email-masked]
<       U O      |_|_|_|_|_|    O  ||       WWW:   http://www.crok.demon.co.uk
 \,     |/|\      _________       [  ]             Piloting Megara Ship #2
     .  |/^\  .       2       .   /__\
... Once you understand your computer it is obsolete